## Delete item

### cURL

```
curl --request DELETE \
  --url https://api.fabric.inc/v3/carts/{cartId}/items/{itemId} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>'
```

```
import requests

url = "https://api.fabric.inc/v3/carts/{cartId}/items/{itemId}"

headers = {
    "x-fabric-tenant-id": "<x-fabric-tenant-id>",
    "Authorization": "Bearer <token>"
}

response = requests.delete(url, headers=headers)

print(response.text)
```

```
const options = {
  method: 'DELETE',
  headers: {'x-fabric-tenant-id': '<x-fabric-tenant-id>', Authorization: 'Bearer <token>'}
};

fetch('https://api.fabric.inc/v3/carts/{cartId}/items/{itemId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```


```

### Response Codes

**400**

**404**

```
{
  "type": "BAD_REQUEST",
  "message": "x-fabric-tenant-id is required"
}
```

```
{
  "type": "CART_NOT_FOUND",
  "message": "Cart not found"
}
```

### Authorizations

**Authorization**  
string  
header  
required

This is the authorization token used to authenticate the request. You must pass the access token generated from the system app. For more information, see the documentation.

### Headers

| Header                    | Type   | Required | Description |
|--------------------------|--------|----------|-------------|
| x-fabric-tenant-id      | string | Yes      | Identifies the tenant making the request. |

### Path Parameters

| Parameter | Type   | Required | Description |
|-----------|--------|----------|-------------|
| cartId    | string | Yes      | The 24-character system-generated Cart ID. |
| itemId    | string | Yes      | The Item ID generated when the item was created. |

### Response

**204 No Content**
